## alien 1.0.1

=== DESCRIPTION ===
Package: alien
Title: Estimate Invasive and Alien Species (IAS) Introduction Rates
Version: 1.0.1
Authors@R: 
    person("Yehezkel", "Buba", , "hezibuba@mail.tau.ac.il", role = c("aut", "cre","cph"),
           comment = c(ORCID = "0000-0002-1003-8809"))
Description: Easily estimate the introduction rates of alien species given first records data.
    It specializes in addressing the role of sampling on the pattern of discoveries, 
    thus providing better estimates than using Generalized Linear Models which assume perfect 
    immediate detection of newly introduced species.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: cli, dplyr, ggplot2, HelpersMG, rlang, stats, tidyr
Depends: R (>= 3.4.0)
LazyData: true
Suggests: BH, knitr, purrr, Rcpp, RcppEigen, RcppParallel, rmarkdown,
        rstan, testthat (>= 3.0.0), tibble
Config/testthat/edition: 3
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2024-04-11 10:45:40 UTC; eze36
Author: Yehezkel Buba [aut, cre, cph] (<https://orcid.org/0000-0002-1003-8809>)
Maintainer: Yehezkel Buba <hezibuba@mail.tau.ac.il>
Repository: CRAN
Date/Publication: 2024-04-11 11:50:02 UTC

## alien 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: alien
 Title: Estimate Invasive and Alien Species (IAS) Introduction Rates
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: 
     person("Yehezkel", "Buba", , "hezibuba@mail.tau.ac.il", role = c("aut", "cre","cph"),
            comment = c(ORCID = "0000-0002-1003-8809"))
@@ -19,8 +19,8 @@
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2024-04-11 10:45:40 UTC; eze36
+Packaged: 2024-06-19 15:49:28 UTC; eze36
 Author: Yehezkel Buba [aut, cre, cph] (<https://orcid.org/0000-0002-1003-8809>)
 Maintainer: Yehezkel Buba <hezibuba@mail.tau.ac.il>
 Repository: CRAN
-Date/Publication: 2024-04-11 11:50:02 UTC
+Date/Publication: 2024-06-19 16:20:02 UTC

## alien 3.3

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:

clean:
	-rm build

install:	
	install -d $(DESTDIR)/usr/bin
	install alien $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/alien $(DESTDIR)/var/lib/alien
	cp patches/* $(DESTDIR)/var/lib/alien
	gzip -9 $(DESTDIR)/var/lib/alien/*
	cp -a lib/* $(DESTDIR)/usr/lib/alien

=== debian/changelog ===
alien (3.3) frozen; urgency=low

  * Fixed a bug that made alien choke on rpm files that had a version number
    or release number of 0. Releasing only to frozen, because there is a
    newer version in unstable.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 7 May 1997 15:17:12 -0400

alien (3.2) frozen unstable; urgency=low

  * Fixed bug that was preventing alien from figuring out the version number
    of a tar file. (#8284)
  * Man page fixes, related to #8284.
  * Fixed a bug, present since 3.0, which was messing up conffile detection.
  * Removed README.debian. (It just pointed users to the man page, which is
    rather pointless.)

 -- Joey Hess <joeyh@master.debian.org>  Mon, 24 Mar 1997 14:03:04 -0500

alien (3.1) unstable; urgency=low

  * Force package names to lowercase.
  * Fixed --noinstall option.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 17 Mar 1997 18:35:46 -0500

alien (3.00) unstable; urgency=low

  * Rewrote alien in perl.
  * Command line options can be specified in any order.
  * -ppatch will no longer work. use --patch=<patchfile> instead.
  * Improved usage help.
  * Include extended description from rpm, if available.
  * Fixed a bug with descriptions/summaries/changelogs/copyrights on rpms
    that contained the '/' character crashing alien.
  * Increment revision number of rpms when they are alianized.
  * Recommends: cpio becuase it is needed for rpm2cpio extraction.
  * Patch files do not have to be compressed.
  * Routine update of debian/rules:
    Clean up junk files in subdirs.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 7 Mar 1997 16:08:02 -0500

alien (2.82) unstable; urgency=low

  * Use CHANGELOGTEXT, not CHANGELOG, when querying rpm files for
    changelogs. Fixes bug #7445.
  * Modification to work with rpm verison 2.3.7. This breaks compatability
    with previous versions of rpm. Modified control file to reflect this.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 25 Feb 1997 21:09:18 -0500

alien (2.81) unstable; urgency=low

  * Corrected maintainer in debian/control.
  * Routine update of debian/rules:
    Modifications for multiple binary package support.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 7 Feb 1997 22:25:40 -0500

alien (2.80) unstable; urgency=low

  * Added a patch file for Applixware.
  * I'm looking for patch files for other commercial software, to add to the
    package. If you own commerical linux software and would like to
    contribute a patch, please contact me.

  * Generated debian/rules files will no longer pass package name to debstd
    (And neither does the debian/rules file for this package.)
  * Added -s switch for low disk space situations.
  * Added -i switch to build a package but not install it.
  * Added long options (--option), as I can never remember the short ones.
  * Fixed bug in guessing name of patch file to use.
  * Fixed bug that would not let you specify a patch file in the current
    directory, or a relative path to a patch file.
  * Don't use /etc/rpmrc as an indiciation of whether rpm is present, as 
    this is a conffile, and might be deleted. Test for actual rpm binary.
  * More friendly error message if patch file is not found, suggesting that
    you try -n option.
  * Rewrote the code that figures out information about the rpm files so it
    uses rpm --queryformat to determine everything.
  * If a rpm has a changelog, add it to the end of debian/changelog.
  * Add summary to the Description: field of generated control files.
  * Add info from a rpm's copyright field to to the copyright file.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Jan 1997 20:35:10 -0500

alien (2.79) unstable; urgency=low

  * New maintainer.
  * Updated man page with new author info.
  * Changes to debian/rules to make current maintainer more comfortable.
  * Improvements to follow when I find the time..

 -- Joey Hess <joeyh@master.debian.org>  Mon, 27 Jan 1997 20:54:47 -0500

alien (2.78) unstable; urgency=low

  * Corrected Priority
  * Cleanup debmake remnants

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:51:48 -0800

alien (2.77) unstable; urgency=low

  * alien source package completely split off from debmake. Looking for a
    new maintainer to provide some fresh ideas.

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:23:21 -0800

debmake (2.76) unstable; urgency=low

  * debstd: Multi-binary support: Generate necessary subdirectories on the
    fly from files names subpackage.filename (if such files exist) to comply
    with Policy. This results in an alternate way of storing files for
    sub-package generation. Remember to erase those directories in the
    rules file if using this scheme!

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 09:04:21 -0800

debmake (2.75) unstable; urgency=low

  * debchange: Fix bug introduced in 2.74
  * debstd: support for configure script
  * adpkg: support for package configuration before installation

 -- Christoph Lameter <clameter@debian.org>  Fri, 24 Jan 1997 13:17:49 -0800

debmake (2.74) unstable; urgency=low

  * debstd: Output warning if scripts do not use /bin/sh as its interpreter
    #6062
  * bug: default to ae editor if joe is not present #5675, #6811
  * debchange: default to ae editor if joe is not present #6794

 -- Christoph Lameter <clameter@debian.org>  Thu, 23 Jan 1997 21:47:39 -0800

debmake (2.73) unstable; urgency=low

  * made dependant on perl
  * Description in control file updated
  * debchange: automatically rename native debian package directories on generating
    the next version. Fixes some problems with warnings at package
    generation time.
  * alien: some minor fixes update of manpage.
  * Document nodeps option of debstd
  * Fixes to the way uupdate recognizes new version numbers (again!)

 -- Christoph Lameter <clameter@debian.org>  Mon, 20 Jan 1997 19:51:11 -0800

debmake (2.72) unstable; urgency=low



=== debian/control ===
Source: alien
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.1.2.2

Package: alien
Architecture: all
Section: admin
Depends: debmake, perl
Recommends: rpm, cpio
Conflicts: rpm (<< 2.3.7)
Description: Install RedHat and Slackware Packages with dpkg.
 Allows the integration of packages from other sources (Red Hat, Slackware etc)
 called "Aliens". This is a tool only suitable for binary packages.

=== debian/rules ===
#!/usr/bin/make -f
##############################################################################
# Generic debian/rules file. Based on:
#
#> Sample debian.rules file - for GNU Hello (1.3).
#> Copyright 1994,1995 by Ian Jackson.
#> I hereby give you perpetual unlimited permission to copy,
#> modify and relicense this file, provided that you do not remove
#> my name from the file itself.  (I assert my moral right of
#> paternity under the Copyright, Designs and Patents Act 1988.)
#
# Heavily modified by Joey Hess <joeyh@master.debian.org>
#
##############################################################################
#
# NOTE: You shouldn't have to edit this file. Edit debian/config instead.
# If you must edit this file to get your package to build properly, then
# I have failed. Let me know; mail me.
#
# (Currently not handled: multiple binary packages from 1 source package,
# and binary-indep rule.)
#
# NOTE: This file is designed so it doesn't need to be run as root. For
# actions that require that the user be root, the root password will be
# prompted for, if you're not already root.
#
##############################################################################
#
# Changelog:
# * Run dpkg-gencontrol after debstd, and delete substvars during clean.
# * Clean up junk files in subdirs.
# * Modifications for multiple binary package support.
# * Call debstd after fixing file perms.
# * Don't pass package name to debstd + fixes for multi binary packages. 
# * Use build-stamp instead of build.
# * New email address.
# * Added changelog.
#
##############################################################################

# Include config file.
include debian/config

# Generate a makefile (via configure scriopt or xmkmf).
makefile-stamp:
  ifeq ($(strip $(use_imakefile)),y)
	xmkmf -a
  endif 
	$(use_configure)
	touch makefile-stamp

# Preserve some files that may get deleted/overwritten/modified otherwise.
preserve-stamp:
  ifneq ($(strip $(preserve_files)),)
	$(foreach file,$(preserve_files),-cp $(file) $(file).preserved)
  endif
	touch preserve-stamp

build-stamp: preserve-stamp makefile-stamp
	$(checkdir)
	$(build_command)
	touch build-stamp

build: build-stamp

clean: preserve-stamp makefile-stamp
	$(checkdir)
  # Do actual cleaning up here.
	-rm -f build-stamp
	$(clean_command)
	find . -name '\#*\#' -o -name '*~' -o -name 'DEADJOE' -exec rm {} \;
	-rm -f debian/files* debian/substvars $(clean_files)
	$(clean_tmp)
  # Remove Makefile that xmkmf creates.
  ifeq ($(strip $(use_imakefile)),y)
	-rm -f Makefile
  endif
  # If we preserved some files, we need to restore them now.
  ifneq ($(strip $(preserve_files)),)
	$(foreach file,$(preserve_files),-mv -f $(file).preserved $(file))
  endif
	-rm -f preserve-stamp makefile-stamp

# Build architecture-independent files here.
# (not yet set up to be used)
binary-indep: build
	$(checkdir)

# Build architecture-dependent files here.
binary-arch: build
	$(checkdir)
	$(clean_tmp)
	$(install_command)
  # Set permissions and check package for problems, then build package.
	@[ "`whoami`" != root ] && \
		echo -e "\n ** Enter root password to set file permissions."; \
		sudo debian/rules setperms

# This must be run suid root, it sets the file permissions in debian/tmp
setperms:
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
  # Debstd handles lots of nasty details. This requires that the debmake
  # package is installed.
	-debstd $(debstd) $(docs)
	dpkg-gencontrol -p$(package)
	$(ch_commands)
	dpkg --build debian/tmp ..

define checkdir
	@test -e $(test_file) -a -f debian/rules || (echo -e "\n\
	** \"$(test_file)\" or \"debian/rules\" does not exist.\n\
	** Either the package is not unpacked in this directory, or\n\
	** an incorrect test_file is specified in debian/config.\n" && false)
endef

# This rm's the debian/tmp directory, and any other directories specified in 
# tmpdirs
define clean_tmp
	-rm -rf debian/tmp >/dev/null 2>&1
	@if [ -d debian/tmp ]; then \
		if  [ "`whoami`" != root ]; then \
			echo -e "\n ** Enter root password to remove temporary directories."; \
		fi; \
		sudo rm -rf debian/tmp $(tmp_dirs); \
	fi
endef

binary: binary-indep binary-arch
.PHONY: clean setperms binary

## alien 6.03hamm2

=== Makefile ===
all:

clean:
	-rm build
	-rm *.bak

install:	
	install -d $(DESTDIR)/usr/bin
	install alien $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/alien $(DESTDIR)/var/lib/alien
	cp -fa lib/* $(DESTDIR)/usr/lib/alien
	cp -f patches/* $(DESTDIR)/var/lib/alien
	-rm -f $(DESTDIR)/var/lib/alien/*.gz
	gzip -qf9 $(DESTDIR)/var/lib/alien/*
	install -d $(DESTDIR)/usr/man/man1
	cp -f alien.1 $(DESTDIR)/usr/man/man1

# This updates the version number in various files.
VER=$(shell perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)
VERFILES=alien.spec alien.lsm
OLD_VER=$(shell perl -e '<>;<>;while(length(<>)>1){};<>;<>;$$_=<>;print m/\((.*?)\)/'<debian/changelog)
version:
	echo Updating version info....
	perl -i -pe "s/\@version\@/$(VER)/g" <alien.spec.in >alien.spec
	perl -i -pe "s/\@version\@/$(VER)/g" <alien.lsm.in >alien.lsm

localdist:
# Install in the proper location on my ftp server and web server. Not intended
# for use by anyone except the author.
	if [ `hostname` = 'kite' ] ; then \
		cp ../alien_$(VER).tar.gz ../../public; \
		rm /home/ftp/pub/code/alien/* || true; \
		cp *.lsm /home/ftp/pub/code/alien; \
		cp CHANGES /home/pub/programs/alien/CHANGES; \
		echo $(VER) > /home/pub/programs/alien/LATEST-VERSION-IS; \
		cd ..; rm -rf alien-$(OLD_VER); \
		[ -f ../public/alien_$(OLD_VER).tar.gz ] && \
		tar zxf ../public/alien_$(OLD_VER).tar.gz || \
		tar zxf ../outdated/alien_$(OLD_VER).tar.gz; \
		diff -r -u --new-file --exclude alien.lsm \
			--exclude alien.spec --exclude CHANGES \
			alien-$(OLD_VER) alien-$(VER) > \
			/home/ftp/pub/code/alien/diffs/alien-$(VER).diff; \
		gzip -9f /home/ftp/pub/code/alien/diffs/alien-$(VER).diff; \
		cd /home/ftp/pub/code/alien; \
		ln -sf ../debian/alien_$(VER).tar.gz alien_$(VER).tar.gz; \
		ln -sf ../debian/alien_$(VER).tar.gz alien.tar.gz ; \
		cd /tmp; rm -f alien-$(OLD-VER); \
        fi

debian:
	dpkg-buildpackage -tc -rfakeroot

rpm:
	sudo rpm -ba -v alien.spec --buildarch noarch

dist: debian localdist rpm

.PHONY: debian

=== debian/control ===
Source: alien
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.0.0

Package: alien
Architecture: all
Section: admin
Depends: debhelper, perl
Recommends: rpm (>= 2.4.4-2), dpkg-dev, make
Suggests: patch
Description: Install Red Hat and Slackware Packages with dpkg.
 Alien allows you to convert Red Hat and Slackware Packages into Debian
 packages, which can be installed with dpkg. 
 .
 It can also convert into Slackware and Red Hat packages.
 .
 This is a tool only suitable for binary packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) version
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) DESTDIR=debian/tmp install
	dh_installdocs README
	dh_installexamples
	dh_installmenu
	dh_installmanpages
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## alien 6.18

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,15 @@
 rpm:
 	sudo rpm -ba -v alien.spec --buildarch noarch
 
-dist: debian localdist rpm
+stampede:
+	if [ `hostname` = 'kite' ] ; then \
+		fakeroot alien --to-slp ../alien_$(VER)_all.deb ; \
+		rm -f /home/ftp/pub/code/alien/*.slp ; \
+		mv alien-$(VER).slp /home/ftp/pub/code/alien/ ; \
+		ln -s /home/ftp/pub/code/alien/alien-$(VER).slp \
+			/home/ftp/pub/code/alien/alien.slp ; \
+	fi
+
+dist: debian localdist stampede rpm
 
 .PHONY: debian

=== debian/control ===
Source: alien
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.4

Package: alien
Architecture: all
Section: admin
Depends: debhelper, perl
Recommends: rpm (>= 2.4.4-2), dpkg-dev, make
Suggests: patch, bzip2
Description: Install Red Hat, Stampede, and Slackware Packages with dpkg.
 Alien allows you to convert Red Hat, Stampede and Slackware Packages into
 Debian packages, which can be installed with dpkg. 
 .
 It can also convert into Slackware, Red Hat, and Stampede packages.
 .
 This is a tool only suitable for binary packages.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	dh_testroot
 	dh_clean
 	$(MAKE) DESTDIR=debian/tmp install
-	dh_installdocs README
+	dh_installdocs README gendiff.txt
 	dh_installexamples
 	dh_installmenu
 	dh_installmanpages

## alien 6.54

=== Makefile ===
# Set this to wherever you want alien to install. Eg, /usr/local or /usr
PREFIX=/usr

VER=$(shell perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)

all:

clean:
	-rm build
	-rm *.bak *.out

install:	
	install -d $(DESTDIR)/$(PREFIX)/bin
	perl -pe '$$_="\t\$$prefix=\"$(PREFIX)\";" if /PREFIX_AUTOREPLACE/;\
		$$_="\tmy \$$version_string=\"$(VER)\";" if /VERSION_AUTOREPLACE/' alien \
		> $(DESTDIR)/$(PREFIX)/bin/alien
	chmod 755 $(DESTDIR)/$(PREFIX)/bin/alien
	install -d $(DESTDIR)/$(PREFIX)/share/alien/patches \
		$(DESTDIR)/var/lib/alien
	cp -fr lib/* $(DESTDIR)/$(PREFIX)/share/alien
	cp -f patches/* $(DESTDIR)/$(PREFIX)/share/alien/patches/
	-rm -f $(DESTDIR)/$(PREFIX)/share/alien/patches/*.gz
	gzip -qf9 $(DESTDIR)/$(PREFIX)/share/alien/patches/*
	install -d $(DESTDIR)/$(PREFIX)/share/man/man1
	cp -f alien.1 $(DESTDIR)/$(PREFIX)/share/man/man1

# This updates the version number in various files.
version:
	@echo Updating version info....
	perl -i -pe "s/\@version\@/$(VER)/g" <alien.spec.in >alien.spec
	perl -i -pe "s/\@version\@/$(VER)/g" <alien.lsm.in >alien.lsm

debian:
	dpkg-buildpackage -tc -rfakeroot

rpm: version
	install -d /home/joey/src/redhat/SOURCES
	install -d /home/joey/src/redhat/BUILD
	install -d /home/joey/src/redhat/SRPMS
	install -d /home/joey/src/redhat/RPMS/noarch
	ln -sf /home/ftp/pub/code/debian/alien_$(VER).tar.gz \
		/home/joey/src/redhat/SOURCES/alien_$(VER).tar.gz
	fakeroot rpm -ba -v alien.spec --target noarch
	rm -f /home/joey/src/redhat/SOURCES/alien_$(VER).tar.gz
	mv /home/joey/src/redhat/SRPMS/* /home/ftp/pub/code/SRPMS
	mv /home/joey/src/redhat/RPMS/noarch/* /home/ftp/pub/code/RPMS/noarch
	fakroot rm -rf /home/joey/src/redhat/SOURCES \
		/home/joey/src/redhat/BUILD \
		/home/joey/src/redhat/SRPMS \
		/home/joey/src/redhat/RPMS/

.PHONY: debian

=== debian/changelog ===
alien (6.54) unstable; urgency=low

  * Added metrolink motif diffs from
    Andreas Voegele <andreas.voegele@nikocity.de>

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 13:57:47 -0800

alien (6.53) unstable; urgency=low

  * Fixed the problem I thought I fixed in 6.50. Hmm. Closes: #52402

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Dec 1999 10:21:43 -0800

alien (6.52) unstable; urgency=low

  * Added (very simple) build dep.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Dec 1999 23:34:10 -0800

alien (6.51) unstable; urgency=low

  * Fixes to my build system.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 14:19:52 -0800

alien (6.50) unstable; urgency=low

  * Fixed problem with relocatable packages, and probably several other
    unrelated problems that were introduced last version.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 13:52:55 -0800

alien (6.49) unstable; urgency=low

  * Removed an obsolete note from the man page.
  * Set locale to C while using rpm to pick at the .rpm file we are going to
    convert, Closes: #42282
  * Moved /usr/lib/alien to /usr/share/alien
  * Added --nopatch option, Closes: #47069

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Nov 1999 12:42:00 -0800

alien (6.48) unstable; urgency=low

  * Patch from Benjamin Cant <ben@aegis.hands.com> to make it work even if
    there is no space after control file lines in a debian package.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Sep 1999 11:41:59 -0700

alien (6.47) unstable; urgency=low

  * Now FHS compliant. But the packages it builds will probably not be..

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 14:25:01 -0700

alien (6.46) unstable; urgency=low

  * Fixed alien.slp file generation.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 23:49:10 -0700

alien (6.45) unstable; urgency=low

  * Checked into cvs. Added a fixlinks script to generate all symlinks.
  * Integrated into my build system for automatic home page updates.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 23:17:50 -0700

alien (6.44) unstable; urgency=low

  * Depend on cpio. It is used in the rpm unpack phase after all, since
    alien uses rpm2cpio (Closes: #38969)

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jul 1999 11:15:38 -0700

alien (6.43) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 10:57:20 -0700

alien (6.42) unstable; urgency=low

  * Don't call dh_fixperms. As bug #36700 points out, some things you'll
    want to convert have odd permissions intentionally. I suppose this
    change will make a lot of stuff that has odd permissions accidentially
    come through with bad perms, but that's life..

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jun 1999 15:51:37 -0700

alien (6.41) unstable; urgency=low

  * Fixed the makefile so it doesn't keep files owned by 500.500.
  * --version, -v works.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jun 1999 11:30:22 -0700

alien (6.40) unstable; urgency=low

  * D'oh corrected powerpc problem.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jun 1999 10:41:46 -0700

alien (6.39) unstable; urgency=low

  * When converting from rpm, ppc -> powerpc (Closes: #39550), patch by
    Chris Lawrence <lawrencc@debian.org>

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jun 1999 09:12:03 -0700

alien (6.38) unstable; urgency=low

  * Disable localization when getting the rpm --version output.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 May 1999 14:55:29 -0700

alien (6.37) unstable; urgency=low

  * If the package that is being made into a deb has a release with no
    number in it, dpkg-deb barfs, so add "-1" to the release in that
    case. (#3755)

 -- Joey Hess <joeyh@debian.org>  Sun, 16 May 1999 17:44:01 -0700

alien (6.36) unstable; urgency=low

  * Updated XBF-i740 xserver diff.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 May 1999 13:44:03 -0700

alien (6.35) unstable; urgency=low

  * Fixed rpm minor version test.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 May 1999 13:35:18 -0700

alien (6.34) unstable; urgency=low

  * Adjusted the rpm version test - rpm 2.92 and above need --target.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Apr 1999 13:04:03 -0700

alien (6.33) unstable; urgency=low

  * Fixes for rpm 3.0:
    - Since rpm --showrc has changed to a format that is now very 
      difficult to machine parse for the topdir value, don't. Instead,
      force rpm to output the rpm into the cirrent directory. This is
      more consistent anyway.
    - Detect rpm version and use --target or --buildarch appropriatly.
    - Fixed alien.rpm's own build process to work again (stupid macro
      substitutions...).

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 1999 13:20:27 -0700

alien (6.32) unstable; urgency=low

  * Dropped in diff files for the XBF-i740 xserver, thanks to Agustn
    Martn <agmartin@aq.upm.es>

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Apr 1999 12:57:54 -0700

alien (6.31) unstable; urgency=low

  * Actually included the fixed file to make the relocatrable packages work.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 1999 14:14:27 -0700

alien (6.30) unstable; urgency=low

  * Fixed applix 4.4.1 menu.
  * Fixed a problem with converting relocatable packages that contained
    the directory they claimed they could relocate into. This fixes the
    problem someone was having converting a Glide rpm - I forget who.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 1999 00:02:53 -0700

alien (6.29) unstable; urgency=low

  * You don't need to be root to run alien -g or alien -s, so disabled the
    check there.
  * Removed extraneous install -d in debian/rules template file.
  * Added support for applix 4.4.1.
  * Fixed patch support, it's been broken.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 1999 19:43:51 -0700

alien (6.28) unstable; urgency=low

  * Don't call dh_installmanpages when converting to .deb, it can do the 


=== debian/control ===
Source: alien
Section: admin
Priority: extra
Build-Depends-Indep: debhelper
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.1.1.1

Package: alien
Architecture: all
Section: admin
Depends: debhelper (>= 0.88), perl5 | perl (>= 5.004), rpm (>= 2.4.4-2), dpkg-dev, make, cpio
Suggests: patch, bzip2
Description: Install Red Hat, Stampede, and Slackware Packages with dpkg.
 Alien allows you to convert Red Hat, Stampede and Slackware Packages into
 Debian packages, which can be installed with dpkg. 
 .
 It can also convert into Slackware, Red Hat, and Stampede packages.
 .
 This is a tool only suitable for binary packages.

=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,24 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: link-stamp build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE) version
 	touch build-stamp
 
-clean:
+clean: link-stamp
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	dh_clean
 
 # Build architecture-dependent files here.
-binary-arch: build
+binary-arch: link-stamp build
 # We have nothing to do by default.
 
 # Build architecture-independent files here.
-binary-indep: build
+binary-indep: link-stamp build
 	dh_testdir
 	dh_testroot
 	dh_clean
@@ -38,5 +38,26 @@
 	dh_md5sums
 	dh_builddeb
 
+# Fix links when checking out of cvs by calling this target.
+link-stamp:
+	sh -e debian/fixlinks
+	touch link-stamp
+
+VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
+
+# Update the web page. Not intended for use by anyone except the author.
+installhook:
+	cp debian/changelog /home/pub/programs/alien/CHANGES
+	echo $(VERSION) > /home/pub/programs/alien/LATEST-VERSION-IS
+	rm /home/ftp/pub/code/alien/* || true
+	cd /home/ftp/pub/code/alien; \
+		ln -sf ../debian/alien_$(VERSION).tar.gz alien_$(VER).tar.gz; \
+		ln -sf ../debian/alien_$(VERSION).tar.gz alien.tar.gz
+	fakeroot alien --to-slp /home/joey/debian/public/alien_*.deb
+	mv alien-$(VERSION).slp /home/ftp/pub/code/alien/
+	make rpm
+	ln -s /home/ftp/pub/code/alien/alien-$(VERSION).slp \
+		/home/ftp/pub/code/alien/alien.slp
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## alien 8.05

=== debian/changelog ===
alien (8.05) unstable; urgency=low

  * Support rpms with a description consisting of just blank lines.

 -- Joey Hess <joey@kitenet.net>  Mon,  1 Apr 2002 13:36:45 -0500

alien (8.04) unstable; urgency=low

  * Fixed an unfortunate typo in Rpm.pm, Closes: #140742

 -- Joey Hess <joey@kitenet.net>  Sun, 31 Mar 2002 23:05:30 -0500

alien (8.03) unstable; urgency=low

  * Should avoid warning message, Closes: #140286
  * README and description updates.

 -- Joey Hess <joey@kitenet.net>  Thu, 28 Mar 2002 14:27:10 -0500

alien (8.02) unstable; urgency=low

  * Made more robust in the face of empty rpms. Closes: #138969

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Mar 2002 11:29:23 -0500

alien (8.01) unstable; urgency=low

  * The "vmware and dpkg on drugs" release.
  * If a preinstall script in a rpm starts like this:
    # BEGINNING_OF_POST_DOT_SH
    #!/bin/sh
    Add anther hashbang at the top, so dpkg doesn't croak on it.
    Closes: #137032

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Mar 2002 12:57:06 -0500

alien (8.00) unstable; urgency=low

  * LSB package support. It can generate LSB packages (not guarenteed
    fully conformant with the LSB), and it can take LSB packages and convert
    them into other formats. Unlike all the other conversions, lsb packages's
    dependancy (on lsb) and their package scripts are preserved in the
    generated packages (when allowed by the target package format). This means
    your distribution will need to have a package named 'lsb' for the result
    to be installable. (Debian will have one soon..)
  * Suggest rpm-lsb, which is the preferred rpm to build lsb packages with.
    Use it if it's present, plain old rpm otherwise.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Feb 2002 12:55:42 -0500

alien (7.32) unstable; urgency=low

  * Support ancient (bo-era) debs with upper-case field names. Closes: #130736

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jan 2002 23:38:57 -0500

alien (7.31) unstable; urgency=low

  * Use --target noarch instead of --target=noarch when building rpms.
    The latter used to work, but no longer does, due to some change in rpm or
    popt. It also has to come after the -bb.
  * Trap stderr of rpm and debian/rules building packages, and only display if
    the build fails.

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Jan 2002 13:53:04 -0500

alien (7.30) unstable; urgency=low

  * Thanks to the excellent work of Mark A. Hershberger <mah@everybody.org>,
    alien now supports converting to and from Solaris "pkg" packages (which
    are really SysV packages). You probably need to run it on Solaris for this
    to work, though. This brings the number of possible conversions alien can
    do up from 12 to a monstrous 20!
  * Mark also had to patch Deb.pm a bit so the by-hand deb extraction could
    work with solaris's ar and tar.
  * Documented the EMAIL environment variable. Closes: #116754
  * Threw out a lot of old patches, circa 1999. Probably useless today.
  * When converting to debs, move files as follows, if possible, for better 
    FHS compliance:
  	/usr/man	=> /usr/share/man
        /usr/info	=> /usr/share/info
        /usr/doc'	=> /usr/share/doc
  * Also moves files as follows, to avoid possibly confusing dpkg with
    installing over symlinks (?). Closes: #40012
        /usr/bin/X11 should be /usr/X11R6/bin
        /usr/lib/X11 should be /usr/X11R6/lib/X11
        /usr/include/X11 should be /usr/X11R6/include/X11
  * Reverse these moves in the cleantree stage.
  * Debian users who have installed alien packages in the past may want to
    re-convert and reinstall them, to take advantage of the new FHS
    conversions.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Oct 2001 20:53:33 -0400

alien (7.27) unstable; urgency=low

  * Moved as many system calls as I can over to shellless execution.
    There are still a lot that use shell tricks. Should deal with screwey
    rpms and file names better though. Closes: #105283
  * Display build logs after build failures.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Jul 2001 10:16:20 -0400

alien (7.25) unstable; urgency=low

  * Treat 'armv4l' arch rpm's as arm architecture.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2001 13:40:20 -0400

alien (7.24) unstable; urgency=low

  * Patch from Raul Miller <moth@debian.org> to make it use gzip -dc | tar
    everywhere it used to use tar zxvf. The problem with the latter is
    that, on Red Hat anyway, when tar is reading from stdin, tar or gzip
    seems to be broken, and tar does not see an end-of-file marker, causing
    alien to hang when converting rpms to debs. Closes: #96200

 -- Joey Hess <joeyh@debian.org>  Wed,  9 May 2001 11:09:16 -0400

alien (7.23) unstable; urgency=low

  * Moved files out of perl privlib, Closes: #95512

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Apr 2001 23:15:18 -0400

alien (7.22) unstable; urgency=low

  * Modification to match changes in rpm 4's parser; need to use
    --target=noarch, rather than --target noarch.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2001 13:43:56 -0700

alien (7.21) unstable; urgency=low

  * Deal with empty /etc/mailname, Closes: #90727

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Mar 2001 14:19:17 -0800

alien (7.20) unstable; urgency=low

  * Updated to use debhelper v3 when converting packages. This
    automatically should make it start adding ldconfig calls
    as appropriate to maintainer scripts. Closes: #86088
  * It does mean you need debhelper 3.x for alien to convert to 
    deb now, so alien-extra will need an update.
  * Rebuilt with newer perl, so it will work with newer perl (bug filed;
    this should not have been necessary).

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Feb 2001 15:33:07 -0800

alien (7.18) unstable; urgency=low

  * Build with debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Feb 2001 17:58:55 -0800

alien (7.17) unstable; urgency=low

  * Munge in #!/bin/sh entries at the top of rpm maintainer 


=== debian/control ===
Source: alien
Section: admin
Priority: optional
Build-Depends-Indep: debhelper (>= 3)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.1

Package: alien
Architecture: all
Section: admin
Depends: debhelper (>= 3), ${perl:Depends}, rpm (>= 2.4.4-2), dpkg-dev, make, cpio
Suggests: patch, bzip2, lsb-rpm
Description: install non-native packages with dpkg
 Alien allows you to convert LSB, Red Hat, Stampede and Slackware Packages
 into Debian packages, which can be installed with dpkg.
 .
 It can also generate packages of any of the other formats.
 .
 This is a tool only suitable for binary packages.

=== debian/rules ===
#!/usr/bin/make -f

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	perl Makefile.PL
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	perl Makefile.PL
	-$(MAKE) realclean
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) pure_install INSTALLDIRS=vendor \
		PREFIX=$(shell pwd)/debian/alien/$(shell perl -MConfig -e 'print $$Config{prefix}') \
		VARPREFIX=$(shell pwd)/debian/alien
	# Why does it make this empty directory? Sigh.
	rm -rf debian/alien/usr/lib
	dh_installdocs README gendiff.txt
	dh_installexamples
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the author.
installhook:
	cp debian/changelog /home/pub/programs/alien/CHANGES
	echo -n $(VERSION) > /home/pub/programs/alien/LATEST-VERSION-IS
	rm /home/ftp/pub/code/alien/* || true
	cd /home/ftp/pub/code/alien; \
		ln -sf ../debian/alien_$(VERSION).tar.gz alien_$(VERSION).tar.gz; \
		ln -sf ../debian/alien_$(VERSION).tar.gz alien.tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## alien 8.44

=== debian/changelog ===
alien (8.44) unstable; urgency=low

  * Don't add line about permissions fixup code to postinst if there is not
    code to add.
  * Don't assume that just because we know of a user or are root, that files
    can go into the deb owned by that user, and come out right on install.
    Instead, assume that any non-root user will not be on the target system
    the rpm is installed on, and that it might be created in the preinst or
    something, so add permissions fixup code for all such users.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Mar 2004 22:51:48 -0500

alien (8.43) unstable; urgency=low

  * Added a new j2sdk_1.4.2_03-1.diff from Gerald Turner.

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Jan 2004 20:05:17 -0500

alien (8.42) unstable; urgency=low

  * Do not register conffiles in /etc when generating a deb; debhelper v3
    takes care of that.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jan 2004 22:25:48 -0500

alien (8.41) unstable; urgency=low

  * Generate a build tree on request even when the source and dest formats are
    the same. Closes: #222311

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Nov 2003 18:29:29 -0500

alien (8.40) unstable; urgency=low

  * Include the version of alien that generated a deb or rpm in the
    description. Closes: #220763
  * Also put it in the changelog of debian packages.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Nov 2003 20:57:44 -0500

alien (8.39) unstable; urgency=low

  * Fix a couple more mistakes in the code added in 8.36.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Nov 2003 21:53:36 -0500

alien (8.38) unstable; urgency=low

  * Fix a couple of typos in the code added in 8.36; it should actually work
    now.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Nov 2003 16:21:40 -0500

alien (8.37) unstable; urgency=low

  * Make sure the working directory's subdirs have sane modes before trying
    to delete it, in case it has unwritable dirs and alien is not running
    as root. Closes: #217330

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Oct 2003 15:45:31 -0500

alien (8.36) unstable; urgency=low

  * Patch from aj to fix permissions of setuid files that have their owners
    created in the preinst.
  * Alien's repository has moved from CVS to subversion.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Oct 2003 16:04:17 -0400

alien (8.35) unstable; urgency=low

  * Move from build-depends-indep to build-depends, to meet current policy.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 12:14:58 -0400

alien (8.34) unstable; urgency=low

  * Fixed changelog parsing regexp. Noticed by Gerald Turner who is sure
    turning up in this changelog a lot.
  * Updated j2sdk patch fixes some ControlPanel shell script
    incompatabilities. Closes: #200731

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jul 2003 20:35:09 +0200

alien (8.33) unstable; urgency=low

  * Added a new j2sdk patch that does not rename the package.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 19:49:25 -0400

alien (8.32) unstable; urgency=low

  * Removed the two newest j2sdk patches, which both rename the package,
    breaking alien -i. Closes: #199992

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 19:44:45 -0400

alien (8.31) unstable; urgency=low

  * Updated the j2sdk patch for version 1.4.2. (From Gerald Turner.)

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Jun 2003 20:55:10 -0400

alien (8.30) unstable; urgency=low

  * Added -v to enable verbose mode, which lists each shell command
    as it is run. Also added --veryverbose for verbose with command
    output too.
  * Use -V for version. (-v used to be documented, but never worked)

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2003 00:12:00 -0400

alien (8.26) unstable; urgency=low

  * alien.spec: pass PREFIX to Makefile.PL so it works on systems 
    (such as red hat 8) where the generated Makefile does not use
    $PREFIX in all paths.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2003 23:12:32 -0400

alien (8.25) unstable; urgency=low

  * Support rpms that contain no files. Closes: #184714

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Mar 2003 21:34:33 -0800

alien (8.24) unstable; urgency=low

  * Corrected precidence problem that made alien not catch mkdir of the work
    directory failing if the directory already existed (and let it delete the
    existing directory). Closes: #181061
  * Fixed several other instances of the same precidence problem in the code.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Feb 2003 14:18:44 -0500

alien (8.23) unstable; urgency=low

  * Updated j2sdk patch again.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 22:51:11 -0500

alien (8.22) unstable; urgency=low

  * Use rpmbuild -bb instead of rpm -bb, as it seems that rpm -bb has stopped
    working in recent versions of rpm, as shipped by red hat (Debian's rpm,
    confusingly, continues to support rpm -bb, possibly because of how I hack
    its popt stuff up for debian.) This may fail with older, pre-rpmbuild
    rpm's; if so you should upgrade to a more current version I guess.
  * Updated js2k patch from Gerald Turner.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 14:35:40 -0500

alien (8.21) unstable; urgency=low

  * Pach from Erwan MAS <erwan@mas.nom.fr> that allows specification of the
    version of a tgz file, for files that don't have a parseable version
    number. For consistency with --description, I made the otpino be called
    --version -- if no argument is specified to this option, it retains its
    old behavior of displaying alien's version, but it is now overloaded
    if given an argument. Closes: #165584

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Oct 2002 20:51:51 -0400

alien (8.20) unstable; urgency=low

  * Added support inspired by aj for converted rpm packages that create
    users/groups in their preinst, and which alien therefore cannot ship the
    files with proper ownerships in the .deb. In this case alien will now
    insert appropriate chown commands into the postinst script of the


## alien 8.50

=== debian/changelog ===
alien (8.50) unstable; urgency=low

  * Recognise udebs and treat them like debs. Closes: #284693

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Dec 2004 16:20:42 -0500

alien (8.49) unstable; urgency=low

  * Add support for config files in relocatale directories. Relocate
    filenames in the conffiles list. Closes: #283774
  * Correct permissions fixup code for parent directories from rpms to
    take the umask into account when searching for such directories. And
    make such directories mode 755, not 700. Closes: #271903

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 16:09:11 -0500

alien (8.48) unstable; urgency=low

  * Support cross-building rpms, output rpm should always be same arch as
    input package now.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 17:35:28 -0500

alien (8.47) unstable; urgency=low

  * x86_64 rpms become amd64 debs
  * Add new java 1.5.0 diffs from Gerald Turner.
  * Clean out old j2sdk diffs.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 13:59:49 -0400

alien (8.46) unstable; urgency=low

  * Unset _unpackaged_files_terminate_build when building rpms, at least SuSE
    sets this, which breaks alien due to its placement of the spec file in the
    build directory.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Aug 2004 20:50:37 -0400

alien (8.45) unstable; urgency=low

  * Run dh_clean with -d to avoid cleaning up any oddly named files from rpms,
    like .orig files. Closes: #261964

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 2004 13:14:39 -0400

## alien 8.51

=== debian/changelog ===
alien (8.51) unstable; urgency=low

  * In rpm unpack permission fixup code, do not call chmod on symlinks,
    as it will follow the links.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Mar 2005 16:21:14 -0500

## alien 8.52

=== debian/changelog ===
alien (8.52) unstable; urgency=low

  * Add a new parameter to runpipe to control whether it automatically
    checks the return code of the command (and exits). Turn this on for many
    runpipe calls that are not expected to fail in normal operation, but can
    fail if the input file is empty, corrupt, or not readable. Previous
    behavior for rpm files was a cascading failure that created weird
    directories in cwd. Closes: #305592

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Apr 2005 11:34:41 -0400

=== debian/control ===
Source: alien
Section: admin
Priority: optional
Build-Depends: debhelper (>= 4), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.1.0

Package: alien
Architecture: all
Section: admin
Depends: debhelper (>= 3), ${misc:Depends}, ${perl:Depends}, rpm (>= 2.4.4-2), dpkg-dev, make, cpio
Suggests: patch, bzip2, lsb-rpm, lintian
Description: install non-native packages with dpkg
 Alien allows you to convert LSB, Red Hat, Stampede and Slackware Packages
 into Debian packages, which can be installed with dpkg.
 .
 It can also generate packages of any of the other formats.
 .
 This is a tool only suitable for binary packages.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,12 @@
 #!/usr/bin/make -f
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	perl Makefile.PL
 	$(MAKE)
+	# simple smoke test
+	./alien.pl -V
 	touch build-stamp
 
 clean:
@@ -46,13 +42,12 @@
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
 
 # Update the web page. Not intended for use by anyone except the author.
+DIR=/home/web/kitenet.net/programs/alien
 installhook:
-	cp debian/changelog /home/pub/programs/alien/CHANGES
-	echo -n $(VERSION) > /home/pub/programs/alien/LATEST-VERSION-IS
-	rm /home/ftp/pub/code/alien/* || true
-	cd /home/ftp/pub/code/alien; \
-		ln -sf ../debian/alien_$(VERSION).tar.gz alien_$(VERSION).tar.gz; \
-		ln -sf ../debian/alien_$(VERSION).tar.gz alien.tar.gz
+	cp debian/changelog $(DIR)/CHANGES
+	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
+	rm -f $(DIR)/*.tar.gz
+	ln -sf /home/joey/lib/debian/unstable/alien_$(VERSION).tar.gz $(DIR)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## alien 8.53

=== debian/changelog ===
alien (8.53) unstable; urgency=low

  * Build packages using debhelper v4 mode.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jun 2005 14:10:26 -0400
